Documentation
Servers

Get server details

Return details and live well-known document for a server. Discovers the server if not yet known.

GET
/api/servers/{address}

Path Parameters

address*string

Response Body

application/json

application/json

curl -X GET "https://loading/api/servers/string"
{
  "data": {
    "address": "example.com",
    "rank": 0,
    "last_seen": 1680000000000,
    "created_at": 1680000000000,
    "well_known": {
      "id": "node-abc123",
      "software": {
        "name": "nox",
        "version": "1.0.0"
      },
      "status": "online",
      "started": 1700000000000,
      "public": "MCowBQYDK2VwAyEA…",
      "address": "example.com",
      "port": 443,
      "gateway": {
        "web": "https://example.com",
        "ws": "wss://example.com/api/ws",
        "api": "https://example.com/api/"
      },
      "endpoints": {
        "wellknown": "https://example.com/.well-known/nox",
        "webfinger": "https://example.com/.well-known/webfinger?resource={uri}",
        "nodeinfo": "https://example.com/.well-known/nodeinfo",
        "configs": "https://example.com/api/configs"
      },
      "versions": {
        "node": "20.0.0",
        "terms": "1.0",
        "privacy": "1.0",
        "rules": "1.0"
      },
      "metadata": {
        "title": "My Nox Server",
        "description": "A social VR platform.",
        "icon": "https://example.com/icon.png",
        "contact": null,
        "socials": {
          "github": "https://github.com/org",
          "mastodon": [
            "https://mastodon.social/@me"
          ]
        }
      },
      "features": [],
      "capabilities": [],
      "maintenance": null
    }
  },
  "error": null,
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}